%preinstall << END
END

%postinstall << END

# echo Command after installing
# searching for the PRODUCTINSTALLLOCATION for the different platforms
platform=`uname -s`
case $$platform in
SunOS)
  UREPACKAGE=SOLSUREPACKAGEPREFIX-ure
  UREDIR=`pkginfo -r $$UREPACKAGE`
  PRODUCTINSTALLLOCATION="$$BASEDIR"
  ;;
Linux)
  UREPACKAGE=UREPACKAGEPREFIX-ure
  UREDIR=`rpm -q --queryformat "%{INSTALLPREFIX}" $$UREPACKAGE`
  PRODUCTINSTALLLOCATION="$$RPM_INSTALL_PREFIX"
  ;;
*)
  PRODUCTINSTALLLOCATION="$$BASEDIR" 
  ;;
esac

# creating link to ure
if [ -d $$UREDIR/openoffice.org/ure ]
then
      ln -s $$UREDIR/openoffice.org/ure $$PRODUCTINSTALLLOCATION/openoffice.org/basisBASISDIRECTORYVERSION/ure-link >/dev/null 2>&1
else
      ln -s ../ure $$PRODUCTINSTALLLOCATION/openoffice.org/basisBASISDIRECTORYVERSION/ure-link >/dev/null 2>&1
fi

exit 0
END

%preremove << END
END

%postremove << END
# echo Command after removing

LASTUNINSTALL=1	# important for RPM deinstallation

# searching for the PRODUCTINSTALLLOCATION for the different platforms
platform=`uname -s`
case $$platform in
SunOS)
  PRODUCTINSTALLLOCATION="$$BASEDIR"
  ;;
Linux)
  PRODUCTINSTALLLOCATION="$$RPM_INSTALL_PREFIX"
  if [ "$$1" = 1 ]	# one package left after deinstallation -> update
  then
    LASTUNINSTALL=0
  fi
  ;;
*)
  PRODUCTINSTALLLOCATION="$$BASEDIR" 
  ;;
esac

if [ -h $$PRODUCTINSTALLLOCATION/openoffice.org/basisBASISDIRECTORYVERSION/ure-link -a $$LASTUNINSTALL -eq 1 ]
then
  rm -f $$PRODUCTINSTALLLOCATION/openoffice.org/basisBASISDIRECTORYVERSION/ure-link 2>/dev/null
  rmdir $$PRODUCTINSTALLLOCATION/openoffice.org/basisBASISDIRECTORYVERSION 2>/dev/null
  rmdir $$PRODUCTINSTALLLOCATION/openoffice.org 2>/dev/null
fi

exit 0
END
